shishi_tkt_realm(3)

NAME
shishi_tkt_realm - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_realm(Shishi_tkt * tkt, char ** realm, size_t * realmlen);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

char ** realm
    pointer to newly allocated character array with realm name.

size_t * realmlen
    length of newly allocated character array with realm name.

DESCRIPTION
Extract realm of server in ticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.